Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jcl
Class LogAdapter

    java.lang.Object
      org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.apache.commons.logging.Log>
          org.apache.logging.log4j.jcl.LogAdapter

All Implemented Interfaces:
  Closeable, org.apache.logging.log4j.spi.LoggerAdapter<org.apache.commons.logging.Log>

    public class LogAdapter

extends org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.apache.commons.logging.Log>

Commons Logging adapter registry.

Since:
  2.1

Field Summary

Fields inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`registry`

Constructor Summary
`LogAdapter()`

Method Summary
`protected org.apache.logging.log4j.spi.LoggerContext` | `getContext()`
`protected org.apache.commons.logging.Log` | `newLogger(String name, org.apache.logging.log4j.spi.LoggerContext context)`

Methods inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`close, getContext, getLogger, getLoggersInContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogAdapter

    public LogAdapter()

Method Detail

### newLogger

    protected org.apache.commons.logging.Log newLogger(String name,
                                                       org.apache.logging.log4j.spi.LoggerContext context)

  Specified by:
    `newLogger` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.apache.commons.logging.Log>`

### getContext

    protected org.apache.logging.log4j.spi.LoggerContext getContext()

  Specified by:
    `getContext` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<org.apache.commons.logging.Log>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.